# Module `STAGE`

Stages within a TASK within a MISSION.

All of the STAGE functionality is considered internally administered and not to be used by any Mission designer.

## Global(s)

CargoStatic |
STAGE |
STAGEARRIVE |
STAGEBRIEF |
STAGEDONE |
STAGEGROUPSDESTROYED |
STAGELANDED |
STAGELANDING |
STAGELOAD |
STAGEROUTE |
STAGESTART |
STAGEUNLOAD |
STAGE_CARGO_INIT |
STAGE_CARGO_LOAD |
_TransportStage |
_TransportStageAction |
_TransportStageTime |

## Type `STAGE`

STAGE.ClassName |
STAGE:Execute(Mission, Client, Task) |
STAGE:Executing(Mission, Client, Task) |
STAGE.FREQUENCY |
STAGE.Frequency |
STAGE.MSG |
STAGE.MessageCount |
STAGE.MessageFlash |
STAGE.MessageInterval |
STAGE.MessageShow |
STAGE.MessageShown |
STAGE.Name |
STAGE:New() |
STAGE.StageType |
STAGE:Validate(Mission, Client, Task) |
STAGE.WaitTime |

## Global(s)

CargoStatic

#STAGE STAGE

STAGEARRIVE

STAGEBRIEF

STAGEDONE

STAGEGROUPSDESTROYED

STAGELANDED

STAGELANDING

STAGELOAD

STAGEROUTE

STAGESTART

STAGEUNLOAD

STAGE_CARGO_INIT

STAGE_CARGO_LOAD

_TransportStage

  _TransportStage: Defines the different stages of which of transport missions can be in. This table is internal and is used to control the sequence of messages, actions and flow.

  - _TransportStage.START
  - _TransportStage.ROUTE
  - _TransportStage.LAND
  - _TransportStage.EXECUTE
  - _TransportStage.DONE
  - _TransportStage.REMOVE --

_TransportStageAction

_TransportStageTime

## Type `STAGE`

### Field(s)

#string STAGE.ClassName

STAGE:Execute(Mission, Client, Task)

  ### Parameters

  - `Mission` :

  - `Client` :

  - `Task` :

STAGE:Executing(Mission, Client, Task)

  ### Parameters

  - `Mission` :

  - `Client` :

  - `Task` :

STAGE.FREQUENCY

#number STAGE.Frequency

STAGE.MSG

#number STAGE.MessageCount

#boolean STAGE.MessageFlash

#number STAGE.MessageInterval

#boolean STAGE.MessageShow

STAGE.MessageShown

#string STAGE.Name

STAGE:New()

#string STAGE.StageType

STAGE:Validate(Mission, Client, Task)

  ### Parameters

  - `Mission` :

  - `Client` :

  - `Task` :

#number STAGE.WaitTime

## Type `STAGEARRIVE`

## Type `STAGELANDING`

## Type `STAGEROUTE`

## Type `STAGEUNLOAD`